microsoft-foundry.rest.security.o-auth2-auth
Memory Stores
Delete a memory item
DELETE
/memory_stores/{name}/items/{memory_id}
Deletes the specified memory item from the memory store.
Paramètres d’en-tête
Foundry-Features
enum
obligatoire
A feature flag opt-in required when using preview operations or modifying persisted preview resources.
MemoryStores=V1Preview
Paramètres de chemin d’accès
name
string
obligatoire
The name of the memory store.
memory_id
string
obligatoire
The ID of the memory item to delete.
Paramètres de la requête
api-version
string
obligatoire
The API version to use for this operation.
Réponses
The request has succeeded.
Corps
Content-Type: application/json
object
enum
obligatoire
The object type. Always 'memory_store.item.deleted'.
memory_store.item.deleted
memory_id
string
obligatoire
The unique ID of the deleted memory item.
deleted
boolean
obligatoire
Whether the memory item was successfully deleted.
Requête
DELETE /memory_stores/{name}/items/{memory_id} HTTP/1.1
Response
Status: 200
Content-Type: application/json
Status: 4XX
Content-Type: application/json
Status: 5XX
Content-Type: application/json